Package org.jbpm.workflow.core.node

## Class ActionNode

- java.lang.Object
- - org.jbpm.workflow.core.impl.NodeImpl
  - - org.jbpm.workflow.core.impl.ExtendedNodeImpl
    - - org.jbpm.workflow.core.node.ActionNode

- All Implemented Interfaces:
    `Serializable`, `Contextable`, `ContextResolver`, `Node`, `org.kie.api.definition.process.Node`

      public class ActionNode
      extends ExtendedNodeImpl

  Default implementation of an action node.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.workflow.core.impl.ExtendedNodeImpl

      `EVENT_NODE_BOUNDARY, EVENT_NODE_ENTER, EVENT_NODE_EXIT`

    - ### Fields inherited from class org.jbpm.workflow.core.impl.NodeImpl

      `constraints, EMPTY_NODE_ARRAY`

    - ### Fields inherited from interface org.jbpm.workflow.core.Node

      `CONNECTION_DEFAULT_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ActionNode()` |
    `ActionNode​(org.kie.api.definition.process.NodeType nodeType)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `DroolsAction` | `getAction()` |
    `boolean` | `isExecuteActionAfterComplete()` |
    `void` | `setAction​(DroolsAction action)` |
    `void` | `setExecuteActionAfterComplete​(boolean executeActionAfterComplete)` |
    `void` | `validateAddIncomingConnection​(String type, org.kie.api.definition.process.Connection connection)` |
    `void` | `validateAddOutgoingConnection​(String type, org.kie.api.definition.process.Connection connection)` |

    - ### Methods inherited from class org.jbpm.workflow.core.impl.ExtendedNodeImpl

      `containsActions, getActions, getActionTypes, setActions`

    - ### Methods inherited from class org.jbpm.workflow.core.impl.NodeImpl

      `addConstraint, addIncomingConnection, addOutgoingConnection, clearIncomingConnection, clearOutgoingConnection, getConstraint, getConstraints, getContext, getDefaultIncomingConnections, getDefaultOutgoingConnections, getFrom, getId, getIncomingConnections, getIncomingConnections, getMetaData, getMetaData, getName, getNodeContainer, getNodeType, getNodeUniqueId, getOutgoingConnections, getOutgoingConnections, getTo, getUniqueId, internalGetConstraint, removeIncomingConnection, removeOutgoingConnection, resolveContext, setConstraint, setContext, setId, setMetaData, setMetaData, setName, setNodeContainer, setNodeType, validateRemoveIncomingConnection, validateRemoveOutgoingConnection`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ActionNode

          public ActionNode()

    - #### ActionNode

          public ActionNode​(org.kie.api.definition.process.NodeType nodeType)

  - ### Method Detail

    - #### setExecuteActionAfterComplete

          public void setExecuteActionAfterComplete​(boolean executeActionAfterComplete)

    - #### isExecuteActionAfterComplete

          public boolean isExecuteActionAfterComplete()

    - #### getAction

          public DroolsAction getAction()

    - #### setAction

          public void setAction​(DroolsAction action)

    - #### validateAddIncomingConnection

          public void validateAddIncomingConnection​(String type,
                                                    org.kie.api.definition.process.Connection connection)

      Overrides:
        `validateAddIncomingConnection` in class `NodeImpl`

    - #### validateAddOutgoingConnection

          public void validateAddOutgoingConnection​(String type,
                                                    org.kie.api.definition.process.Connection connection)

      Overrides:
        `validateAddOutgoingConnection` in class `NodeImpl`